﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace mysite.Models
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    
    public partial class DatabaseContextEntities : DbContext
    {
        public DatabaseContextEntities()
            : base("name=DatabaseContextEntities")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public virtual DbSet<article> articles { get; set; }
        public virtual DbSet<contract> contracts { get; set; }
        public virtual DbSet<letter> letters { get; set; }
        public virtual DbSet<meeting> meetings { get; set; }
        public virtual DbSet<person> persons { get; set; }
        public virtual DbSet<project> projects { get; set; }
    }
}
